Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2008-10-27 Assigned To: Karsten Dambekalns
Updated: 2010-10-20 Due date:
PHP Version:
Has patch:
Complexity:
Subject: Add more query options
Description

Querying is very basic right now.
When doing a query against object properties the following should work:
    -  equality
        -  checking against an object should work
        -  checking against a value contained in an array/SplObjectStorage should work
    -  lessThan, greaterThan, lessThanOrEqual, greaterThanOrEqual
    -  like
    -  something along the lines of IN

Related issues:
related to TYPO3.TYPO3CR - Feature # 1875: Add more query options to persiste... Closed 2008-10-27
blocked by TYPO3.TYPO3CR - Task # 3456: Refactor internal CR representation o... Closed 2009-05-25

Associated revisions
Revision c2087f7d - 2009-02-05 12:29 - Karsten Dambekalns
FLOW3:
    -  added and/or/not to the query mechanism, refs #1884
TYPO3CR:
    -  changed the way Lucene queries are built to allow more flexibility
    -  added and/or/not to the query mechanism, refs #1875
    -  some changes to handling of bound variables

Revision 18ab3356 - 2009-03-18 15:22 - Karsten Dambekalns
FLOW3:
    -  equality comparisons in persistence can now be done case-insensitive (in QueryInterface and Repository), refs #1884, refs #2811
TYPO3CR:
    -  changed more use of PersistenceManager into PersistenceManagerInterface
    -  added support for case-insensitive equality comparison in QueryInterface implementation, fixes #2811
    -  implemented Literal, LowerCase, UpperCase in QOM
    -  reduced the number of tables used for storing properties by roughly 50%
    -  removed Lucene search backend
    -  added in-RDBMS property index and new search backend based on it, refs #1886
FLOW3 Distribution:
    -  removed Lucene package from Global packages
    -  removed install.sh, it was broken anyway

Revision 30699a92 - 2009-03-18 15:22 - Karsten Dambekalns
FLOW3:

2015-08-03 1/3



    -  equality comparisons in persistence can now be done case-insensitive (in QueryInterface and Repository), refs #1884, refs #2811
TYPO3CR:
    -  changed more use of PersistenceManager into PersistenceManagerInterface
    -  added support for case-insensitive equality comparison in QueryInterface implementation, fixes #2811
    -  implemented Literal, LowerCase, UpperCase in QOM
    -  reduced the number of tables used for storing properties by roughly 50%
    -  removed Lucene search backend
    -  added in-RDBMS property index and new search backend based on it, refs #1886
FLOW3 Distribution:
    -  removed Lucene package from Global packages
    -  removed install.sh, it was broken anyway

Revision 8571e9fd - 2010-01-28 16:53 - Karsten Dambekalns

[~TASK] FLOW3 (Persistence): Got rid of Literal, BindVariableValue, Ordering, Selector and QueryObjectModel; relates to #6267.
[+API] FLOW3 (Persistence): QueryInterface now has signatures for in() and contains(), relates to #1884.
[+FEATURE] FLOW3 (Persistence): Implemented query operators for in() and contains(), resolves #1884.

History
#1 - 2008-10-27 18:56 - Karsten Dambekalns
- Project changed from TYPO3.TYPO3CR to TYPO3.Flow
- Category deleted (Query handling)

#2 - 2008-10-27 18:57 - Karsten Dambekalns
- Subject changed from Add more query options2 to Add more query options
- Category set to Persistence

#3 - 2008-10-28 12:58 - Karsten Dambekalns
- Priority changed from Should have to Must have
- Target version set to 1.0 alpha 1

#4 - 2009-03-10 16:19 - Robert Lemke
- Status changed from New to Needs Feedback

Please specify this ticket a bit more so we know when it can be closed.

#5 - 2009-05-19 11:47 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Assigned To set to Karsten Dambekalns

#6 - 2009-05-19 14:57 - Robert Lemke
- Priority changed from Must have to Should have

#7 - 2009-05-20 14:10 - Karsten Dambekalns
- % Done changed from 0 to 60

Only array/SplObjectStorage left to do...
#8 - 2009-05-25 17:23 - Karsten Dambekalns
- Target version changed from 1.0 alpha 1 to 283

Postponing this to a later release, the array/SplObjectStorage support needs more work.

#9 - 2009-07-13 11:25 - Robert Lemke
- Target version deleted (283)

#10 - 2010-01-21 10:13 - Robert Lemke
- Target version set to 1.0 alpha 8

#11 - 2010-01-28 17:00 - Karsten Dambekalns
- Status changed from Accepted to Resolved
- % Done changed from 60 to 100

Applied in changeset r3783.
